OPTIONS formdlim='*';




***********************  SECTION 1.1 - Read in Data *********************** ;

/* Program 1 in 1.1 (p.1) */

DATA cholest ;
  INFILE 'H:\Bios600nData\cholesterol_edit.txt' FIRSTOBS=2 ;
  INPUT Chol Gender $ Group ;
RUN ;


/* Program 2 (p.1) */

DATA cholest2 ;
  SET cholest ;
  logChol=log(chol) ;
RUN ;







***********************  SECTION 1.2 - Basic Stats *********************** ;

/* Program 1 in 1.2 (p.1) */

PROC MEANS DATA=cholest ;
  VAR chol ; *List variables of interest in dataset ;
RUN ;


/* Program 2 (p.2) */

PROC MEANS DATA=cholest N MEAN MIN MEDIAN MAX RANGE ;
  VAR chol ;
RUN ;


/* Program 3 (p.2) */

PROC MEANS DATA=cholest N NMISS MEAN STD MIN MEDIAN MAX RANGE MAXDEC=1;
  VAR chol ;
RUN ;







***********************  SECTION 1.3 - Stats w/ 1 Class. Var *********************** ;

/* Program 1 in 1.3 (p.2) */

PROC SORT DATA=cholest ;
  BY gender ;
RUN ;

PROC MEANS DATA=cholest N MEAN STD MIN MEDIAN MAX MAXDEC=1;
  VAR chol ;
  BY gender ;
RUN ;



/* Program 2 (p.3) */

PROC SORT DATA=cholest ;
  BY gender ;
RUN ;

PROC MEANS DATA=cholest N MEAN STD MIN MEDIAN MAX MAXDEC=1;
  VAR chol ;
  CLASS gender ;
RUN ;






***********************  SECTION 1.4 - Stats w/ 2+ Class. Vars *********************** ;

/* Program 1 in 1.4 (p.3) */

PROC SORT DATA=cholest ;
  BY gender DESCENDING group;
RUN ;

PROC MEANS DATA=cholest N MEAN STD MIN MEDIAN MAX MAXDEC=1;
  VAR chol ;
  BY gender DESCENDING group;
RUN ;






/* Exercise 1 in 1.4 (p.4) 
   To complete the remaining exercises:
	- Copy-Paste this code below, so as not to change original
	- Modify as necessary according to each exercise
*/

PROC SORT DATA=cholest ;
  BY gender group;
RUN ;

PROC MEANS DATA=cholest N MEAN STD MIN MEDIAN MAX MAXDEC=1;
  VAR chol ;
  BY gender group;
RUN ;

/* Exercise 2 in 1.4 (p.4) */



/* Exercise 3 in 1.4 (p.4) */



/* Exercise 4 in 1.4 (p.4) */





***********************  SECTION 1.5 - Multiple Outcome Vars *********************** ;

/* Program 1 in 1.5 (p.4) */

PROC MEANS DATA=cholest2 ;
  VAR logChol ;
RUN ;



/* Program 2 (p.4) */

PROC MEANS DATA=cholest2 ;
  VAR Chol logChol ;
RUN ;



/* Program 3 (p.4) */

PROC SORT DATA=cholest2 ;
  BY gender DESCENDING group;
RUN ;

PROC MEANS DATA=cholest2 N MEAN STD MIN MEDIAN MAX MAXDEC=1;
  VAR chol logChol;
  BY gender DESCENDING group;
RUN ;















