options formdlim='*' nodate nonumber;


**************** SECTION 1.1 **************** ;

/*
 Read in Dataset pulmonary.xls manually using SAS Import Wizard.
 Follow instructions on p.1  
 Check the Log above to make sure the import was successful 
*/



**************** SECTION 1.2 **************** ;

PROC SORT DATA=pulmonary ;
  BY center ;
RUN ;

title "Descriptive Stats on FEV1 Separately For Each Center";
*fev1 stats separately by center ;
PROC MEANS DATA=pulmonary N NMISS MEAN STD MIN MAX MAXDEC=4 ;
  CLASS center ;
  VAR fev1 ;
RUN ;


title "Descriptive Stats on FEV1 For All Patients";
*fev1 stats for both centers combined ;
PROC MEANS DATA=pulmonary N NMISS MEAN STD MIN MAX MAXDEC=4 ;
  VAR fev1 ;
RUN ;




**************** SECTION 1.3.1 **************** ;
title "Two Sample t-test, mu0=0";
PROC TTEST DATA=pulmonary ;
  CLASS center ;
  VAR fev1 ;
RUN ;





**************** SECTION 1.3.2 **************** ;
title "Two Sample t-test, mu0=4";
PROC TTEST DATA=pulmonary H0=4;
  CLASS center ;
  VAR fev1 ;
RUN ;





**************** SECTION 1.3.3 **************** ;
title "One Sample t-test, alpha=0.01, mu0=4";
PROC TTEST DATA=pulmonary H0=4 alpha=0.01;
  CLASS center ;
  VAR fev1 ;
RUN ;
