
*********************************************************************************;
options formdlim='*' nodate nonumber; *RUN THIS LINE BEFORE DOING ANYTHING ELSE! ;
*********************************************************************************;


/* Section 1.1 - Read in the Data  */
*** Use SAS Import Wizard to import pets.xls dataset;



/* Section 1.2 - Descriptive Statistics  */

PROC SORT DATA=pets;
BY group ;
RUN ;


*Heart Rate stats separately by group;
PROC MEANS DATA=pets N NMISS MEAN STD MIN MAX MAXDEC=4;
CLASS group ;
VAR hrtrate;
RUN ;


*Heart Rate stats for all groups combined;
PROC MEANS DATA=pets N NMISS MEAN STD MIN MAX MAXDEC=4;
VAR hrtrate;
RUN ;




/* Section 1.3 - ANOVA  */


PROC ANOVA DATA=Pets ;
CLASS Group ;
MODEL HrtRate = Group ;
RUN ; 




/* Section 1.4 - Post-test Comparisons  */

PROC ANOVA DATA=Pets ;
CLASS Group ;
MODEL HrtRate = Group ;
MEANS Group / LSD CLDIFF ;
RUN ; QUIT;



PROC ANOVA DATA=Pets ;
CLASS Group ;
MODEL HrtRate = Group ;
MEANS Group / BON CLDIFF ;
RUN ; QUIT;



